Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Read_Dgram_Result Class Reference

This is class provides concrete implementation for ACE_Asynch_Read_Dgram::Result class. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Read_Dgram_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Read_Dgram_Result:

[legend]
List of all members.

## Public Methods
size_t | bytes_to_read (void) const
| The number of bytes which were requested at the start of the asynchronous read. More...
ACE_Message_Block * | message_block (void) const
| Message block which contains the read data. More...
int | remote_address (ACE_Addr &addr) const
| The address of where the packet came from. More...
sockaddr * | saddr (void) const
int | flags (void) const
| The flags used in the read. More...
ACE_HANDLE | handle (void) const
| I/O handle used for reading. More...
## Protected Methods
| ACE_POSIX_Asynch_Read_Dgram_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block *message_block, size_t bytes_to_read, int flags, int protocol_family, const void *act, ACE_HANDLE event, int priority, int signal_number=0)
| Constructor is protected since creation is limited to ACE_Asynch_Read_Dgram factory. More...
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| Proactor will call this method when the read completes. More...
virtual | ~ACE_POSIX_Asynch_Read_Dgram_Result (void)
| Destructor. More...
## Protected Attributes
size_t | bytes_to_read_
| Bytes requested when the asynchronous read was initiated. More...
ACE_Message_Block * | message_block_
| Message block for reading the data into. More...
ACE_Addr * | remote_address_
| The address of where the packet came from. More...
int | addr_len_
int | flags_
| The flags used in the read. More...
ACE_HANDLE | handle_
| I/O handle used for reading. More...
## Friends
class | ACE_POSIX_Asynch_Read_Dgram
| Factory classes will have special permissions. More...
class | ACE_POSIX_Proactor
| Proactor class has special permission. More...

## Detailed Description

This is class provides concrete implementation for ACE_Asynch_Read_Dgram::Result class.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Read_Dgram_Result::ACE_POSIX_Asynch_Read_Dgram_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block * | message_block,
|  | size_t | bytes_to_read,
|  | int | flags,
|  | int | protocol_family,
|  | const void * | act,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Read_Dgram factory.

ACE_POSIX_Asynch_Read_Dgram_Result::~ACE_POSIX_Asynch_Read_Dgram_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

size_t ACE_POSIX_Asynch_Read_Dgram_Result::bytes_to_read | ( | void |  | ) | const`[virtual]`

| The number of bytes which were requested at the start of the asynchronous read. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

void ACE_POSIX_Asynch_Read_Dgram_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| Proactor will call this method when the read completes. Reimplemented from ACE_Asynch_Result_Impl.

int ACE_POSIX_Asynch_Read_Dgram_Result::flags | ( | void |  | ) | const`[virtual]`

| The flags used in the read. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

ACE_HANDLE ACE_POSIX_Asynch_Read_Dgram_Result::handle | ( | void |  | ) | const`[virtual]`

| I/O handle used for reading. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

ACE_Message_Block * ACE_POSIX_Asynch_Read_Dgram_Result::message_block | ( | void |  | ) | const`[virtual]`

| Message block which contains the read data. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

int ACE_POSIX_Asynch_Read_Dgram_Result::remote_address | ( | ACE_Addr & | addr | ) | const`[virtual]`

| The address of where the packet came from. Reimplemented from ACE_Asynch_Read_Dgram_Result_Impl.

sockaddr * ACE_POSIX_Asynch_Read_Dgram_Result::saddr | ( | void |  | ) | const

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Read_Dgram`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| Proactor class has special permission.

## Member Data Documentation

int ACE_POSIX_Asynch_Read_Dgram_Result::addr_len_`[protected]`

size_t ACE_POSIX_Asynch_Read_Dgram_Result::bytes_to_read_`[protected]`

| Bytes requested when the asynchronous read was initiated.

int ACE_POSIX_Asynch_Read_Dgram_Result::flags_`[protected]`

| The flags used in the read.

ACE_HANDLE ACE_POSIX_Asynch_Read_Dgram_Result::handle_`[protected]`

| I/O handle used for reading.

ACE_Message_Block* ACE_POSIX_Asynch_Read_Dgram_Result::message_block_`[protected]`

| Message block for reading the data into.

ACE_Addr* ACE_POSIX_Asynch_Read_Dgram_Result::remote_address_`[protected]`

| The address of where the packet came from.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp